Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 20 Nov 2013 09:15:23 +0100
From:      Eduardo Morras <emorrasg@yahoo.es>
To:        freebsd-questions@freebsd.org
Subject:   Re: problem doing make package-recursive and gmake
Message-ID:  <20131120091523.c6e88f62d5d6befeb3c77e8c@yahoo.es>
In-Reply-To: <CAKoxK+46TiXfnsQEPinPdOY3cBh2Lvy-igVHrUm-Gow2UwBpQA@mail.gmail.com>
References:  <CAKoxK+46TiXfnsQEPinPdOY3cBh2Lvy-igVHrUm-Gow2UwBpQA@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, 19 Nov 2013 12:41:44 +0100
Luca Ferrari <fluca1978@infinito.it> wrote:

> Hi all,
> running on 9.1-RELEASE I'm trying to make package-recursive of
> postgresql93-server, but each time I got an error regarding gmake:
> 
> ===>   gmake-3.82_1 is already installed
>       You may wish to ``make deinstall'' and install this port again
>       by ``make reinstall'' to upgrade it properly.
>       If you really wish to overwrite the old port of devel/gmake
>       without deleting it first, set the variable "FORCE_PKG_REGISTER"
>       in your environment or the "make install" command line.
> *** [check-already-installed] Error code 1
> 
> Then I make reinstall gmake and try again, but the same error appears.
> What am I missing here?
> 

Did you switch to new pkg format and then go back and use the old one? I did it and have the same problems you have, missed ports/packages already installed. Even if you use ports system, it builds the port to a package and then install the pkg.


> Thanks,
> Luca


---   ---
Eduardo Morras <emorrasg@yahoo.es>



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20131120091523.c6e88f62d5d6befeb3c77e8c>